/*
 */

#include "proto.h"
#include "../src/pimppa.h"

GtkWidget *note_dialog(const gchar * format,...) 
{
	GtkWidget *dialog, *label;
	va_list args;
	gchar *note;

	va_start(args, format);
	note = g_strdup_vprintf(format, args);
	va_end(args);

	
	dialog = gtk_dialog_new();
	gtk_window_set_title(GTK_WINDOW(dialog), _("Note"));
	gtk_window_set_position(GTK_WINDOW(dialog), GTK_WIN_POS_CENTER);
	label=gtk_label_new(note);
	gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->action_area), label,
 						FALSE,FALSE,0);
	gtk_widget_show_all(dialog);
	
	while(gtk_events_pending())
		gtk_main_iteration(); 

	return(dialog);
}

void my_error_dialog(const gchar * format,...) {
  GtkWidget *dialog;
  va_list args;
  gchar *error;

  va_start(args, format);
  error = g_strdup_vprintf(format, args);
  va_end(args);

  dialog = gnome_error_dialog(error);
  gnome_dialog_run(GNOME_DIALOG (dialog));
  g_free(error);
}

